variables:
  DOCKER_DRIVER: overlay2

  HELM_VERSION: 2.16.3
  KUBERNETES_VERSION: 1.13.12
  GLIBC_VERSION: 2.30-r0

  BUILD_IMAGE_NAME: "$CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG:$CI_COMMIT_SHA"

stages:
  - build
  - test
  - release

include:
  - local: .gitlab/ci/build.gitlab-ci.yml
  - local: .gitlab/ci/shellcheck.gitlab-ci.yml
  - local: .gitlab/ci/test.gitlab-ci.yml
  - local: .gitlab/ci/release.gitlab-ci.yml
